> For the complete documentation index, see [llms.txt](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/access-review-settings/reviewexpirationbehavior.md).

# Review Expiration Behavior

> This setting is configurable on the **Access Reviews** > **Settings** page. Enable **Reject incomplete rows** to reject and sign off on undecided rows when a review expires.

This API allows you to change the behavior when a review expires (which can be enabled in Review Auto-Complete Settings). Depending on the behavior, incomplete rows can be auto-rejected when the review deadline passes.

Review expiration behavior can be configured globally, or for all reviews for a single Review Configuration, specified by `workflow_id` in the request.

## Request Structure

The request body must include a `setting` object with the following structure:

```json
{
  "workflow_id": "string",
  "setting": {
    "behavior": 0,
    "note_to_add": "string"
  }
}
```

## Parameters

Where:

* `workflow_id` (string, optional): Specific review configuration ID. If omitted, applies globally to all reviews.
* `setting.behavior` (integer): The expiration behavior mode:
  * `0` = `DO_NOTHING`: No action is made on incomplete rows (default)
  * `1` = `AUTO_REJECT_INCOMPLETE_RESULTS`: Reject and sign-off any results that are incomplete when the review expires
* `setting.note_to_add` (string, optional): Note to be added when auto-rejecting incomplete results

## Example

**Example request:**

```json
{
  "workflow_id": "string",
  "setting": {
    "behavior": 1,
    "note_to_add": "Rejected incomplete result due to review expiration."
  }
}
```

## Get Review Expiration Behavior

{% openapi src="/files/ers611LIum35cy5f6yME" path="/api/private/workflows/access/global\_settings/review\_expiration\_behavior" method="get" %}
[access-review-global-settings.yaml](https://1967633068-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MZDkWMxox3pekd0NsZJ%2Fuploads%2Fgit-blob-90ec0f1a7530bafd49ea3cf60a51dcde5d90d916%2Faccess-review-global-settings.yaml?alt=media)
{% endopenapi %}

## Set Review Expiration Behavior

{% openapi src="/files/ers611LIum35cy5f6yME" path="/api/private/workflows/access/global\_settings/review\_expiration\_behavior" method="put" %}
[access-review-global-settings.yaml](https://1967633068-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MZDkWMxox3pekd0NsZJ%2Fuploads%2Fgit-blob-90ec0f1a7530bafd49ea3cf60a51dcde5d90d916%2Faccess-review-global-settings.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.veza.com/4yItIzMvkpAvMVFAamTf/developers/api/workflows/access-review-settings/reviewexpirationbehavior.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
